"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _baseFindIndex = require("./_baseFindIndex.js");
const _baseIteratee = require("./_baseIteratee.js");
function findLastIndex(array, predicate, fromIndex) {
  var length = array == null ? 0 : array.length;
  if (!length) {
    return -1;
  }
  var index = length - 1;
  return _baseFindIndex.default(array, _baseIteratee.default(predicate), index, true);
}
exports.default = findLastIndex;
